Create or update workflow variable definition
PUT
/v1/workflows/{workflowId}/variables/{name}
Path Parameters
workflowId
string
required
path
Workflow ID
name
string
required
path
Variable name
Request Body required
Variable definition
application/jsonOne of:
Option 1
Option 2
default
unknown
description
string
lifetime
string
REQUIRED
Enum:
persist, resetname
string
type
string
REQUIRED
Enum:
number, text, boolean, list, objectResponses
200
OK
application/jsondefault
unknown
description
string
lifetime
string
Enum:
persist, resetname
string
type
string
Enum:
number, text, boolean, list, objectcurl -X PUT 'https://api.example.com/v1/workflows/string/variables/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/workflows/string/variables/string', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/workflows/string/variables/string', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/workflows/string/variables/string", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "default": "<unknown>", "description": "<string>", "lifetime": "persist", "name": "<string>", "type": "number"}
API Playground
Try this endpoint
PUT
/v1/workflows/{workflowId}/variables/{name}
